<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <ListView
        android:id="@+id/user_list"
        android:layout_width="match_parent"
        android:layout_height="150dp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <Button
            android:id="@+id/history"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="请求历史记录" />

        <Button
            android:id="@+id/userlist"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="同步用户列表" />

        <Button
            android:id="@+id/adduser"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="添加用户" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">


        <Button
            android:id="@+id/btnUser"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="同步单个用户" />

        <EditText
            android:id="@+id/edit_Userid"
            android:layout_width="100dp"
            android:layout_height="60dp"
            android:digits="12345678"
            android:hint="输入用户id"
            android:inputType="number"
            android:padding="10dp" />

        <Button
            android:id="@+id/syntime"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="同步时间" />

    </LinearLayout>


    <RadioGroup
        android:id="@+id/unit"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/edit_Userid"
        android:orientation="horizontal">

        <RadioButton
            android:id="@+id/kg"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="kg" />

        <RadioButton
            android:id="@+id/jin"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="斤" />

        <RadioButton
            android:id="@+id/st_lb"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="st:lb" />

        <RadioButton
            android:id="@+id/lb"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="lb" />
    </RadioGroup>

    <ListView
        android:id="@+id/log_list"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/unit"
        android:layout_marginTop="20dp">

    </ListView>
</LinearLayout>